Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 568610 - dev-haskell/cpphs and others (ghc-7.6) contain writable and executable sections file
Summary: dev-haskell/cpphs and others (ghc-7.6) contain writable and executable sectio...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-18 10:00 UTC by Zentoo
Modified: 2016-05-14 13:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info dev-haskell/cpphs (emerge-info.txt,19.14 KB, text/plain)
2015-12-19 11:14 UTC, Zentoo
Details
dev-haskell/cpphs-1.17.1 build log (dev-haskell:cpphs-1.17.1:20151219-111457.log.gz,11.19 KB, application/gzip)
2015-12-19 11:18 UTC, Zentoo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zentoo 2015-12-18 10:00:14 UTC
>>> Completed installing cpphs-1.17.1 into /gentoo/tmp/portage/dev-haskell/cpphs-1.17.1/image/


 * QA Notice: The following files contain writable and executable sections
 *  Files with such sections will not work properly (or at all!) on some
 *  architectures/operating systems.  A bug should be filed at
 *  http://bugs.gentoo.org/ to make sure the issue is fixed.
 *  For more information, see:
 * 
 *    https://wiki.gentoo.org/wiki/Hardened/GNU_stack_quickstart
 * 
 *  Please include the following list of files in your report:
 *  Note: Bugs should be filed for the respective maintainers
 *  of the package in question and not hardened@g.o.
 * RWX --- --- usr/bin/cpphs


Reproducible: Always

Steps to Reproduce:
1.emerge -av1 dev-haskell/cpphs
3.
Actual Results:  
 * QA Notice: The following files contain writable and executable sections
 *  Files with such sections will not work properly (or at all!) on some
 *  architectures/operating systems.  A bug should be filed at
 *  http://bugs.gentoo.org/ to make sure the issue is fixed.
 *  For more information, see:
 * 
 *    https://wiki.gentoo.org/wiki/Hardened/GNU_stack_quickstart
 * 
 *  Please include the following list of files in your report:
 *  Note: Bugs should be filed for the respective maintainers
 *  of the package in question and not hardened@g.o.
 * RWX --- --- usr/bin/cpphs


Expected Results:  
No warning
Comment 1 Tomáš Mózes 2015-12-18 21:46:28 UTC
Please post the complete build log and emerge --info.
Comment 2 Sergei Trofimovich gentoo-dev 2015-12-18 22:03:54 UTC
What GHC version did you use to build cpphs?
'ghc --info' should contain most relevant bits.
Comment 3 Zentoo 2015-12-19 11:14:19 UTC
Created attachment 419754 [details]
emerge --info dev-haskell/cpphs

build with dev-lang/ghc-7.6.3-r1
Comment 4 Zentoo 2015-12-19 11:18:51 UTC
Created attachment 419756 [details]
dev-haskell/cpphs-1.17.1 build log
Comment 5 Sergei Trofimovich gentoo-dev 2015-12-19 11:27:44 UTC
It's a hard-to-fix bug in GHC versions before 7.8:
    bug #524790

Was fixed upstream around ghc-7.8.1.
Do you have any specific reason to use 7.6 branch?
Comment 6 Zentoo 2015-12-19 13:50:21 UTC
Initially I use ghc 7.6 for app-emulation/ganeti.
It's possible that I can use ghc 7.8 with latest ganeti version but this package use 113 haskell dependencies actually and half of them need to be unstable and other half stable with specific masked version. So I spend a lot of time to stabilize each ganeti version. Historically there were ganeti issues with ghc-7.8.
Right now I don't if these issues are resolved and if I can stabilize haskell packages using ghc-7.8 for ganeti. But I can try to do it.
Comment 7 Sergei Trofimovich gentoo-dev 2015-12-19 15:30:32 UTC
Yeah, ganeti on recent ghc is a problem.